# ip-location-db [![NPM version](https://badge.fury.io/js/ip-location-db.svg)](https://badge.fury.io/js/ip-location-db)

This project provides ip to location database in csv.<br>
Country csv format: `ip_range_start,ip_range_end,country_code`<br>
City csv format: `ip_range_start,ip_range_end,country_code,state,city,latitude,longitude`<br>
`country_code` is the two-letter code defined in [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2).
You can get the `country name, capital, continent, currency, languages, etc.` from the `country_code` by [Countries Database](https://github.com/annexare/Countries).



| Database | Type | License | Update | ipv4 | ipv6 |
|---|---|---|---|---|---|
| IP-ASN | Country | [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/) | Daily | [asn-ipv4-country.csv](https://unpkg.com/ip-location-db/dist/asn-ipv4-country.csv) | [asn-ipv6-country.csv](https://unpkg.com/ip-location-db/dist/asn-ipv6-country.csv) |
| GeoFeed + IP-ASN | Country | [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/) | Daily | [geo-asn-ipv4-country.csv](https://unpkg.com/ip-location-db/dist/geo-asn-ipv4-country.csv) | [geo-asn-ipv6-country.csv](https://unpkg.com/ip-location-db/dist/geo-asn-ipv6-country.csv) |
| [iptoasn.com](https://iptoasn.com/) | Country | [PDDL](https://opendatacommons.org/licenses/pddl/1.0/) by [iptoasn.com](https://iptoasn.com/) | Daily | [iptoasn-ipv4-country.csv](https://unpkg.com/ip-location-db/dist/iptoasn-ipv4-country.csv) | [iptoasn-ipv6-country.csv](https://unpkg.com/ip-location-db/dist/iptoasn-ipv6-country.csv) |
| [Webnet77](http://software77.net/geo-ip/) | Country | [DONATIONWARE](http://en.wikipedia.org/wiki/Donationware) by [Webnet77](http://software77.net/geo-ip/)<sup>&spades;</sup> | Daily | [webnet77-ipv4-country.csv](https://unpkg.com/ip-location-db/dist/webnet77-ipv4-country.csv) | [webnet77-ipv6-country.csv](https://unpkg.com/ip-location-db/dist/webnet77-ipv6-country.csv) |
| [DB-IP](https://db-ip.com/) | Country | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) by [DB-IP](https://db-ip.com/)<sup>&#9733;</sup> | Monthly | [dbip-ipv4-country.csv](https://unpkg.com/ip-location-db/dist/dbip-ipv4-country.csv) | [dbip-ipv6-country.csv](https://unpkg.com/ip-location-db/dist/dbip-ipv6-country.csv) |
| [DB-IP](https://db-ip.com/) + IP-ASN | Country | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) by [DB-IP](https://db-ip.com/)<sup>&#9733;</sup> | Daily | [dbip-asn-ipv4-country.csv](https://unpkg.com/ip-location-db/dist/dbip-asn-ipv4-country.csv) |  [dbip-asn-ipv6-country.csv](https://unpkg.com/ip-location-db/dist/dbip-asn-ipv6-country.csv) |
| [DB-IP](https://db-ip.com/) | City | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) by [DB-IP](https://db-ip.com/)<sup>&#9733;</sup> | Monthly | [dbip-ipv4-city.csv.gz](https://unpkg.com/ip-location-db/dist/dbip-ipv4-city.csv.gz) | [dbip-ipv6-city.csv.gz](https://unpkg.com/ip-location-db/dist/dbip-ipv6-city.csv.gz) |



### IP-ASN database [Update: Daily]

Created by merging 5 RIP ([afrinic](https://afrinic.net), [apnic](https://www.apnic.net), [arin](https://www.arin.net), [lacnic](https://www.lacnic.net), [ripe ncc](https://www.ripe.net)) IP-ASN database.
[ASN (Autonomous System Number)](https://wikipedia.org/wiki/Autonomous_system_(Internet)) is a unique number assigned to an Autonomous System (AS) by the [IANA](https://www.iana.org/).



### GeoFeed database [Update: Daily]

Created by merging GeoFeed database from [OpenGeoFeed](https://opengeofeed.org/) and [geofeeds.lacnic.net](https://geofeeds.lacnic.net/).



### iptoasn.com database [Update: Hourly]

You can download hourly updated database in tsv format from [original site](https://iptoasn.com/).
This is licensed under a [Public Domain Dedication and Licence v1.0](https://opendatacommons.org/licenses/pddl/1.0/).
There are some differences from above `IP-ASN` database.



### Webnet77<sup>&spades;</sup> database [Update: Daily]

Created by [webnet77](https://software77.net/geo-ip/) geo-ip country database.
This database is donationware, please read [the license](https://software77.net/geo-ip/?license) carefully.<br>
We **recommend donating to [webnet77](https://software77.net/geo-ip/), if you use this database especially for commercial use**.



### DB-IP<sup>&#9733;</sup> database [Update: Monthly]

Created by DB-IP database which you could download and read the license from [ip-to-country-lite](https://db-ip.com/db/download/ip-to-country-lite) or [ip-to-city-lite](https://db-ip.com/db/download/ip-to-city-lite).
These are licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/),
so, **you must create attribution to [DB-IP.com](https://db-ip.com/) for using this database**.<br>
In the case of a web application, you must include a link back to DB-IP.com on pages that display or use results from the database. You may do it by pasting the HTML code snippet into your code: `<a href='https://db-ip.com/'>IP Geolocation by DB-IP</a>`.<br>
If you need better accuracy, no attribution or daily updates, please use the [Commercial Version of db-ip](https://db-ip.com/db/ip-to-country).



## Which database is recommended to use?

Of course, it depends on your use case.
But the above list is too long, thus, we write down the recommendation.

- If you need city or geo-location data, [`DB-IP`](https://db-ip.com/) is the one.
- If you need [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/) country database, `GeoFeed + IP-ASN` looks best.
- If you need more precise country database, [`DB-IP`](https://db-ip.com/)`+ IP-ASN` looks best.



## License

Files in `dist/*` have their **own license** as described above.<br>
Files `other than dist/*` are under MIT License by [sapics/ip-location-db](https://github.com/sapics/ip-location-db).<br>
When you write the attribution to this project, we are glad if you make a link to [sapics/ip-location-db](https://github.com/sapics/ip-location-db).
